=== debian/changelog ===
ros-humble-mod (1.1.0-1jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Chittaranjan Personal <ksatyaki@gmail.com>  Sun, 15 Jan 2023 19:48:04 -0000

ros-humble-mod (0.0.1-1jammy) jammy; urgency=high

  * First release

 -- Chittaranjan Personal <ksatyaki@gmail.com>  Sat, 14 Jan 2023 23:00:00 -0000
